Bug 664061 - [savage] X freezes on IBM ThinkPad T23
Summary: [savage] X freezes on IBM ThinkPad T23
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-savage
Version: 14
Hardware: i686
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-17 21:25 UTC by Joachim Frieben
Modified: 2018-04-11 17:10 UTC (History)
3 users (show)

Fixed In Version: xorg-x11-drv-savage-2.3.2-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-19 23:01:36 UTC


Attachments (Terms of Use)

Description Joachim Frieben 2010-12-17 21:25:46 UTC
Description of problem:
The "savage" driver freezes X on the IBM ThinkPad T23 when launched from text mode via 'startx'. When booting into graphical mode, then GDM fails repeatedly to launch X.

Version-Release number of selected component (if applicable):
xorg-x11-drv-savage-2.3.1-3.fc14.i686

How reproducible:
Always.

Steps to Reproduce:
1. Boot into text mode (run level 3).
2. Run 'startx'
  
Actual results:
Mouse cursor appears on top of the default background which is otherwise empty.

Expected results:
GNOME desktop is launched successfully.

Additional info:
Driver "vesa" allows to obtain a working X.
Rebuilding xorg-x11-drv-savage-2.3.2-1.fc15 from the development tree for F14 allows to recover a working X using the "savage" driver. This is an important update which needs urgently to be backported to F14.

Comment 1 Joachim Frieben 2010-12-17 21:28:43 UTC
After executing 'startx', the mouse cursor appears on top of the default background. The desktop is frozen at this point and does not respond to keyboard or mouse input.

Comment 2 Matěj Cepl 2010-12-18 21:28:48 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 Joachim Frieben 2010-12-19 07:12:49 UTC
Issue solved by xorg-x11-drv-savage-2.3.2-1.fc15:

* Sun Dec 05 2010 Dave Airlie <airlied redhat com> 2.3.2-1 - savage upstream
  release - contains a crasher fix.

Rebuild and push to F14 updates, thanks.

Comment 4 Matěj Cepl 2010-12-20 14:42:10 UTC
Thank you for letting us know.

Comment 5 Joachim Frieben 2010-12-20 16:11:15 UTC
Current F14 is still affected by this bug.

Comment 6 Matěj Cepl 2010-12-21 12:36:59 UTC
Oh shut, sorry.

Comment 7 Joachim Frieben 2011-02-01 11:52:53 UTC
Can we eventually have this a an update to F14, too? This bug forces users to use the "vesa" driver which has itself a couple of really serious issues related to using virtual consoles.
The "rawhide" package builds and works without any patches or other modifications and can thus be adopted "as is". Thanks!

Comment 8 buh_18 2011-04-24 20:32:36 UTC
i confirm this bug is still there ... in both f14 and 15 ( netinstall 2 hours ago ... )

video card is on a laptop ( twisterK )

Comment 9 Fedora Update System 2011-07-05 20:52:36 UTC
xorg-x11-drv-savage-2.3.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xorg-x11-drv-savage-2.3.2-3.fc14

Comment 10 Fedora Update System 2011-07-06 21:25:56 UTC
Package xorg-x11-drv-savage-2.3.2-3.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-drv-savage-2.3.2-3.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xorg-x11-drv-savage-2.3.2-3.fc14
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-09-19 23:01:26 UTC
xorg-x11-drv-savage-2.3.2-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.